List event types
curl --request GET \
--url https://api.cal.id/event-types/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cal.id/event-types/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cal.id/event-types/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 123,
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"interfaceLanguage": "<string>",
"position": 123,
"length": 123,
"offsetStart": 123,
"hidden": true,
"userId": 123,
"teamId": 123,
"profileId": 123,
"timeZone": "<string>",
"periodType": "<string>",
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"periodDays": 123,
"periodCountCalendarDays": true,
"lockTimeZoneToggleOnBookingPage": true,
"lockedTimeZone": "<string>",
"requiresConfirmation": true,
"requiresConfirmationWillBlockSlot": true,
"requiresConfirmationForFreeEmail": true,
"requiresBookerEmailVerification": true,
"disableGuests": true,
"hideCalendarNotes": true,
"hideCalendarEventDetails": true,
"minimumBookingNotice": 123,
"beforeEventBuffer": 123,
"afterEventBuffer": 123,
"seatsPerTimeSlot": 123,
"onlyShowFirstAvailableSlot": true,
"disableCancelling": true,
"disableRescheduling": true,
"disableHostCancelling": true,
"disableHostRescheduling": true,
"seatsShowAttendees": true,
"seatsShowAvailabilityCount": true,
"schedulingType": "<string>",
"scheduleId": 123,
"price": 123,
"currency": "<string>",
"slotInterval": 123,
"successRedirectUrl": "<string>",
"forwardParamsSuccessRedirect": true,
"isInstantEvent": true,
"instantMeetingExpiryTimeOffsetInSeconds": 123,
"assignAllTeamMembers": true,
"assignRRMembersUsingSegment": true,
"useEventTypeDestinationCalendarEmail": true,
"isRRWeightsEnabled": true,
"maxLeadThreshold": 123,
"includeNoShowInRRCalculation": true,
"allowReschedulingPastBookings": true,
"hideOrganizerEmail": true,
"maxActiveBookingsPerBooker": 123,
"maxActiveBookingPerBookerOfferReschedule": true,
"customReplyToEmail": "<string>",
"rescheduleWithSameRoundRobinHost": true,
"secondaryEmailId": 123,
"useBookerTimezone": true,
"restrictionScheduleId": 123,
"locations": null,
"bookingFields": null,
"recurringEvent": null,
"metadata": null,
"bookingLimits": null,
"durationLimits": null,
"rrSegmentQueryValue": null,
"eventTypeColor": null,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
},
"message": "<string>"
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Event Types
List event types
Get all event types for the authenticated user (paginated)
GET
/
event-types
/
List event types
Authorizations
Use the Authorization header with Bearer scheme.
Examples:
- API Key: Authorization: Bearer calid_xxxxx
Query Parameters
Page number for paginated event type results.
Required range:
x >= 1Example:
1
Maximum number of event types returned per page.
Required range:
1 <= x <= 100Example:
20
Field used to sort event type results.
Available options:
id, title, slug, length, position Example:
"title"
Sorting direction for event type results.
Available options:
asc, desc Example:
"asc"
Case-insensitive title filter.
Example:
"Discovery"
Case-insensitive slug filter.
Example:
"discovery-call-30"
Filter by hidden/public status.
Example:
false
Related topics
Manage event typesList team event typesDelete the Event TypeChanging the Order of Event TypesEnabling Apps for Specific Event TypesWas this page helpful?
⌘I